# Shipments

shipments

## get Shipments

> Service to get Inventory Count Import Item details.

```json
{"openapi":"3.1.1","info":{"title":"Poorti API","version":"1.0.0"},"tags":[{"name":"shipments","description":"shipments"}],"servers":[{"url":"https://dev-maarg.hotwax.io/rest/s1/poorti"}],"security":[{"basicAuth":[]},{"api_key":[]}],"components":{"securitySchemes":{"basicAuth":{"type":"http","scheme":"basic"},"api_key":{"type":"apiKey","name":"api_key","in":"header","description":"HTTP Header api_key"}},"schemas":{"co.hotwax.poorti.FulfillmentServices.getShipments.Out":{"type":"object","properties":{"shipments":{"type":"array"},"shipmentCount":{"type":"string"}}}}},"paths":{"/shipments":{"get":{"tags":["shipments"],"summary":"get Shipments","description":"Service to get Inventory Count Import Item details.","parameters":[{"schema":{"type":"string","format":""},"name":"productStoreId","in":"query","required":false,"description":null},{"schema":{"type":"string","format":""},"name":"keyword","in":"query","required":false,"description":null},{"schema":{"type":"string","format":""},"name":"shipmentId","in":"query","required":false,"description":null},{"schema":{"type":"string","format":""},"name":"carrierPartyId","in":"query","required":false,"description":null},{"schema":{"type":"string","format":""},"name":"orderId","in":"query","required":false,"description":null},{"schema":{"type":"string","format":""},"name":"picklistId","in":"query","required":false,"description":null},{"schema":{"type":"string","format":""},"name":"orderStatusId","in":"query","required":false,"description":null},{"schema":{"type":"string","format":""},"name":"orderTypeId","in":"query","required":false,"description":null},{"schema":{"type":"string","format":"date-time"},"name":"shippedDateFrom","in":"query","required":false,"description":null},{"schema":{"type":"string","format":""},"name":"originFacilityId","in":"query","required":false,"description":null},{"schema":{"type":"string","format":""},"name":"orderBy","in":"query","required":false,"description":null},{"schema":{"type":"integer","format":"int32"},"name":"pageIndex","in":"query","required":false,"description":"The current page index to get the shipments."},{"schema":{"type":"integer","format":"int32"},"name":"pageSize","in":"query","required":false,"description":"The maximum number of shipments to display."}],"responses":{"200":{"description":"Success","content":{"application/json":{"schema":{"$ref":"#/components/schemas/co.hotwax.poorti.FulfillmentServices.getShipments.Out"}}}},"401":{"description":"Authentication required"},"403":{"description":"Access Forbidden (no authz)"},"429":{"description":"Too Many Requests (tarpit)"},"500":{"description":"General Error"}}}}}}
```

## POST /shipments

> create Shipment (master: default)

```json
{"openapi":"3.1.1","info":{"title":"Poorti API","version":"1.0.0"},"tags":[{"name":"shipments","description":"shipments"}],"servers":[{"url":"https://dev-maarg.hotwax.io/rest/s1/poorti"}],"security":[{"basicAuth":[]},{"api_key":[]}],"components":{"securitySchemes":{"basicAuth":{"type":"http","scheme":"basic"},"api_key":{"type":"apiKey","name":"api_key","in":"header","description":"HTTP Header api_key"}},"schemas":{"org.apache.ofbiz.shipment.shipment.Shipment.default.PK":{"title":"Shipment (Master: default)","type":"object","properties":{"_entity":{"type":"string","default":"org.apache.ofbiz.shipment.shipment.Shipment.PK"},"shipmentId":{"type":"string"}}},"org.apache.ofbiz.shipment.shipment.Shipment.default":{"title":"Shipment (Master: default)","type":"object","properties":{"_entity":{"type":"string","default":"org.apache.ofbiz.shipment.shipment.Shipment"},"shipmentId":{"type":"string"},"externalId":{"type":"string"},"shipmentTypeId":{"type":"string"},"statusId":{"type":"string"},"primaryOrderId":{"type":"string"},"primaryReturnId":{"type":"string"},"primaryShipGroupSeqId":{"type":"string"},"picklistBinId":{"type":"string"},"estimatedReadyDate":{"type":"string","format":"date-time"},"estimatedShipDate":{"type":"string","format":"date-time"},"estimatedShipWorkEffId":{"type":"string"},"estimatedArrivalDate":{"type":"string","format":"date-time"},"estimatedArrivalWorkEffId":{"type":"string"},"latestCancelDate":{"type":"string","format":"date-time"},"estimatedShipCost":{"type":"number"},"currencyUomId":{"type":"string"},"handlingInstructions":{"type":"string"},"originFacilityId":{"type":"string"},"destinationFacilityId":{"type":"string"},"originContactMechId":{"type":"string"},"originTelecomNumberId":{"type":"string"},"destinationContactMechId":{"type":"string"},"destinationTelecomNumberId":{"type":"string"},"partyIdTo":{"type":"string"},"partyIdFrom":{"type":"string"},"additionalShippingCharge":{"type":"number"},"addtlShippingChargeDesc":{"type":"string"},"createdDate":{"type":"string","format":"date-time"},"createdByUserLogin":{"type":"string"},"lastModifiedDate":{"type":"string","format":"date-time"},"lastModifiedByUserLogin":{"type":"string"},"carrierPartyId":{"type":"string"},"shipmentMethodTypeId":{"type":"string"},"lastUpdatedStamp":{"type":"string","format":"date-time"},"type":{"$ref":"#/components/schemas/org.apache.ofbiz.shipment.shipment.ShipmentType"},"statusItem":{"$ref":"#/components/schemas/statuses"},"currencyUom":{"$ref":"#/components/schemas/uoms"},"originFacility":{"$ref":"#/components/schemas/org.apache.ofbiz.product.facility.Facility"},"destinationFacility":{"$ref":"#/components/schemas/org.apache.ofbiz.product.facility.Facility"},"originContactMech":{"$ref":"#/components/schemas/org.apache.ofbiz.party.contact.ContactMech"},"destinationContactMech":{"$ref":"#/components/schemas/org.apache.ofbiz.party.contact.ContactMech"},"originPostalAddress":{"$ref":"#/components/schemas/org.apache.ofbiz.party.contact.PostalAddress"},"originTelecomNumber":{"$ref":"#/components/schemas/org.apache.ofbiz.party.contact.TelecomNumber"},"destinationPostalAddress":{"$ref":"#/components/schemas/org.apache.ofbiz.party.contact.PostalAddress"},"destinationTelecomNumber":{"$ref":"#/components/schemas/org.apache.ofbiz.party.contact.TelecomNumber"},"order":{"$ref":"#/components/schemas/org.apache.ofbiz.order.order.OrderHeader"},"return":{"$ref":"#/components/schemas/org.apache.ofbiz.order.return.ReturnHeader"},"orderItemShipGroup":{"$ref":"#/components/schemas/org.apache.ofbiz.order.order.OrderItemShipGroup"}}},"org.apache.ofbiz.shipment.shipment.ShipmentType":{"title":"Shipment Type","type":"object","properties":{"_entity":{"type":"string","default":"org.apache.ofbiz.shipment.shipment.ShipmentType"},"shipmentTypeId":{"type":"string"},"parentTypeId":{"type":"string"},"hasTable":{"type":"string"},"description":{"type":"string"},"lastUpdatedStamp":{"type":"string","format":"date-time"}}},"statuses":{"title":"Status Item","type":"object","properties":{"_entity":{"type":"string","default":"statuses"},"statusId":{"type":"string"},"statusTypeId":{"type":"string"},"statusCode":{"type":"string"},"sequenceNum":{"type":"number","format":"int64"},"description":{"type":"string"},"statusAge":{"type":"number","format":"int64"},"lastUpdatedStamp":{"type":"string","format":"date-time"}}},"uoms":{"title":"Uom","type":"object","properties":{"_entity":{"type":"string","default":"uoms"},"uomId":{"type":"string"},"uomTypeEnumId":{"type":"string","enum":["UT_AREA_MEASURE","UT_CURRENCY_MEASURE","UT_DATASPD_MEASURE","UT_DATA_MEASURE","UT_DENSITY_MEAS","UT_ENERGY_MEASURE","UT_LENGTH_MEASURE","UT_OTHER_MEASURE","UT_POWER_MEASURE","UT_PRESSURE_MEASURE","UT_TEMP_MEASURE","UT_TIME_FREQ_MEASURE","UT_VELOCITY_MEASURE","UT_VOLUME_DRY_MEAS","UT_VOLUME_LIQ_MEAS","UT_WEIGHT_MEASURE"]},"abbreviation":{"type":"string"},"description":{"type":"string"},"fractionDigits":{"type":"number","format":"int64"},"symbol":{"type":"string"},"numericCode":{"type":"number","format":"int64"},"lastUpdatedStamp":{"type":"string","format":"date-time"}}},"org.apache.ofbiz.product.facility.Facility":{"title":"Facility","type":"object","properties":{"_entity":{"type":"string","default":"org.apache.ofbiz.product.facility.Facility"},"facilityId":{"type":"string"},"facilityTypeId":{"type":"string"},"parentFacilityId":{"type":"string"},"ownerPartyId":{"type":"string"},"defaultInventoryItemTypeId":{"type":"string"},"facilityName":{"type":"string"},"primaryFacilityGroupId":{"type":"string"},"oldSquareFootage":{"type":"number","format":"int64"},"facilitySize":{"type":"number"},"facilitySizeUomId":{"type":"string"},"productStoreId":{"type":"string"},"defaultDaysToShip":{"type":"number","format":"int64"},"openedDate":{"type":"string","format":"date-time"},"closedDate":{"type":"string","format":"date-time"},"description":{"type":"string"},"defaultDimensionUomId":{"type":"string"},"defaultWeightUomId":{"type":"string"},"geoPointId":{"type":"string"},"externalId":{"type":"string"},"openTime":{"type":"string"},"closeTime":{"type":"string"},"facilityTimeZone":{"type":"string"},"maximumOrderLimit":{"type":"number","format":"int64"},"postalCode":{"type":"string"},"lastUpdatedStamp":{"type":"string","format":"date-time"}}},"org.apache.ofbiz.party.contact.ContactMech":{"title":"Contact Mech","type":"object","properties":{"_entity":{"type":"string","default":"org.apache.ofbiz.party.contact.ContactMech"},"contactMechId":{"type":"string"},"externalId":{"type":"string"},"contactMechTypeId":{"type":"string"},"infoString":{"type":"string"},"lastUpdatedStamp":{"type":"string","format":"date-time"}}},"org.apache.ofbiz.party.contact.PostalAddress":{"title":"Postal Address","type":"object","properties":{"_entity":{"type":"string","default":"org.apache.ofbiz.party.contact.PostalAddress"},"contactMechId":{"type":"string"},"toName":{"type":"string"},"attnName":{"type":"string"},"address1":{"type":"string"},"address2":{"type":"string"},"houseNumber":{"type":"number","format":"int64"},"houseNumberExt":{"type":"string"},"directions":{"type":"string"},"city":{"type":"string"},"cityGeoId":{"type":"string"},"postalCode":{"type":"string"},"postalCodeExt":{"type":"string"},"countryGeoId":{"type":"string"},"stateProvinceGeoId":{"type":"string"},"countyGeoId":{"type":"string"},"municipalityGeoId":{"type":"string"},"postalCodeGeoId":{"type":"string"},"geoPointId":{"type":"string"},"encodedAddressKey":{"type":"string"},"latitude":{"type":"number","format":"double"},"longitude":{"type":"number","format":"double"},"lastUpdatedStamp":{"type":"string","format":"date-time"}}},"org.apache.ofbiz.party.contact.TelecomNumber":{"title":"Telecom Number","type":"object","properties":{"_entity":{"type":"string","default":"org.apache.ofbiz.party.contact.TelecomNumber"},"contactMechId":{"type":"string"},"countryCode":{"type":"string"},"areaCode":{"type":"string"},"contactNumber":{"type":"string"},"askForName":{"type":"string"},"lastUpdatedStamp":{"type":"string","format":"date-time"}}},"org.apache.ofbiz.order.order.OrderHeader":{"title":"Order Header","type":"object","properties":{"_entity":{"type":"string","default":"org.apache.ofbiz.order.order.OrderHeader"},"orderId":{"type":"string"},"orderTypeId":{"type":"string"},"orderName":{"type":"string"},"externalId":{"type":"string"},"salesChannelEnumId":{"type":"string"},"orderDate":{"type":"string","format":"date-time"},"priority":{"type":"string"},"entryDate":{"type":"string","format":"date-time"},"pickSheetPrintedDate":{"type":"string","format":"date-time"},"visitId":{"type":"string"},"statusId":{"type":"string"},"createdBy":{"type":"string"},"firstAttemptOrderId":{"type":"string"},"currencyUom":{"type":"string"},"syncStatusId":{"type":"string"},"billingAccountId":{"type":"string"},"originFacilityId":{"type":"string"},"webSiteId":{"type":"string"},"productStoreId":{"type":"string"},"terminalId":{"type":"string"},"transactionId":{"type":"string"},"autoOrderShoppingListId":{"type":"string"},"needsInventoryIssuance":{"type":"string"},"isRushOrder":{"type":"string"},"internalCode":{"type":"string"},"remainingSubTotal":{"type":"number"},"grandTotal":{"type":"number"},"isViewed":{"type":"string"},"invoicePerShipment":{"type":"string"},"expireDate":{"type":"string","format":"date-time"},"localeString":{"type":"string"},"customerClassificationId":{"type":"string"},"presentmentCurrencyUom":{"type":"string"},"autoApprove":{"type":"string"},"statusFlowId":{"type":"string"},"lastUpdatedStamp":{"type":"string","format":"date-time"}}},"org.apache.ofbiz.order.return.ReturnHeader":{"title":"Return Header","type":"object","properties":{"_entity":{"type":"string","default":"org.apache.ofbiz.order.return.ReturnHeader"},"returnId":{"type":"string"},"externalId":{"type":"string"},"returnHeaderTypeId":{"type":"string"},"statusId":{"type":"string"},"createdBy":{"type":"string"},"fromPartyId":{"type":"string"},"toPartyId":{"type":"string"},"paymentMethodId":{"type":"string"},"finAccountId":{"type":"string"},"billingAccountId":{"type":"string"},"entryDate":{"type":"string","format":"date-time"},"originContactMechId":{"type":"string"},"destinationFacilityId":{"type":"string"},"needsInventoryReceive":{"type":"string"},"currencyUomId":{"type":"string"},"supplierRmaId":{"type":"string"},"returnChannelEnumId":{"type":"string"},"transactionId":{"type":"string"},"returnDate":{"type":"string","format":"date-time"},"employeeId":{"type":"string"},"terminalId":{"type":"string"},"lastUpdatedStamp":{"type":"string","format":"date-time"}}},"org.apache.ofbiz.order.order.OrderItemShipGroup":{"title":"Order Item Ship Group","type":"object","properties":{"_entity":{"type":"string","default":"org.apache.ofbiz.order.order.OrderItemShipGroup"},"orderId":{"type":"string"},"shipGroupSeqId":{"type":"string"},"shipmentMethodTypeId":{"type":"string"},"supplierPartyId":{"type":"string"},"vendorPartyId":{"type":"string"},"carrierPartyId":{"type":"string"},"carrierRoleTypeId":{"type":"string"},"facilityId":{"type":"string"},"contactMechId":{"type":"string"},"telecomContactMechId":{"type":"string"},"trackingNumber":{"type":"string"},"shippingInstructions":{"type":"string"},"maySplit":{"type":"string"},"giftMessage":{"type":"string"},"isGift":{"type":"string"},"shipAfterDate":{"type":"string","format":"date-time"},"shipByDate":{"type":"string","format":"date-time"},"estimatedShipDate":{"type":"string","format":"date-time"},"estimatedDeliveryDate":{"type":"string","format":"date-time"},"carrierAccountNumber":{"type":"string"},"carrierService":{"type":"string"},"orderFacilityId":{"type":"string"},"lastUpdatedStamp":{"type":"string","format":"date-time"},"items":{"type":"array","items":{"$ref":"#/components/schemas/org.apache.ofbiz.order.order.OrderItem"}}}},"org.apache.ofbiz.order.order.OrderItem":{"title":"Order Item","type":"object","properties":{"_entity":{"type":"string","default":"org.apache.ofbiz.order.order.OrderItem"},"orderId":{"type":"string"},"orderItemSeqId":{"type":"string"},"externalId":{"type":"string"},"orderItemTypeId":{"type":"string"},"orderItemGroupSeqId":{"type":"string"},"isItemGroupPrimary":{"type":"string"},"fromInventoryItemId":{"type":"string"},"budgetId":{"type":"string"},"budgetItemSeqId":{"type":"string"},"productId":{"type":"string"},"supplierProductId":{"type":"string"},"productFeatureId":{"type":"string"},"prodCatalogId":{"type":"string"},"productCategoryId":{"type":"string"},"isPromo":{"type":"string"},"quoteId":{"type":"string"},"quoteItemSeqId":{"type":"string"},"shoppingListId":{"type":"string"},"shoppingListItemSeqId":{"type":"string"},"subscriptionId":{"type":"string"},"deploymentId":{"type":"string"},"quantity":{"type":"number"},"cancelQuantity":{"type":"number"},"selectedAmount":{"type":"number"},"unitPrice":{"type":"number"},"unitListPrice":{"type":"number"},"unitAverageCost":{"type":"number"},"unitRecurringPrice":{"type":"number"},"isModifiedPrice":{"type":"string"},"recurringFreqUomId":{"type":"string"},"itemDescription":{"type":"string"},"comments":{"type":"string"},"correspondingPoId":{"type":"string"},"statusId":{"type":"string"},"syncStatusId":{"type":"string"},"estimatedShipDate":{"type":"string","format":"date-time"},"estimatedDeliveryDate":{"type":"string","format":"date-time"},"autoCancelDate":{"type":"string","format":"date-time"},"dontCancelSetDate":{"type":"string","format":"date-time"},"dontCancelSetUserLogin":{"type":"string"},"shipBeforeDate":{"type":"string","format":"date-time"},"shipAfterDate":{"type":"string","format":"date-time"},"cancelBackOrderDate":{"type":"string","format":"date-time"},"overrideGlAccountId":{"type":"string"},"salesOpportunityId":{"type":"string"},"changeByUserLoginId":{"type":"string"},"shipGroupSeqId":{"type":"string"},"returnTillDate":{"type":"string","format":"date-time"},"promisedDatetime":{"type":"string","format":"date-time"},"shipmentId":{"type":"string"},"isNewProduct":{"type":"string"},"availableToPromise":{"type":"number"},"requestedDeliveryDate":{"type":"string","format":"date"},"requestedDeliveryTime":{"type":"string"},"requestedShipMethTypeId":{"type":"string"},"deliveryWindow":{"type":"number","format":"double"},"taxCode":{"type":"string"},"lastUpdatedStamp":{"type":"string","format":"date-time"},"adjustments":{"type":"array","items":{"$ref":"#/components/schemas/org.apache.ofbiz.order.order.OrderAdjustment"}},"attributes":{"type":"array","items":{"$ref":"#/components/schemas/org.apache.ofbiz.order.order.OrderItemAttribute"}},"statuses":{"type":"array","items":{"$ref":"#/components/schemas/org.apache.ofbiz.order.order.OrderStatus"}}}},"org.apache.ofbiz.order.order.OrderAdjustment":{"title":"Order Adjustment","type":"object","properties":{"_entity":{"type":"string","default":"org.apache.ofbiz.order.order.OrderAdjustment"},"orderAdjustmentId":{"type":"string"},"orderAdjustmentTypeId":{"type":"string"},"orderId":{"type":"string"},"orderItemSeqId":{"type":"string"},"shipGroupSeqId":{"type":"string"},"comments":{"type":"string"},"description":{"type":"string"},"amount":{"type":"number"},"recurringAmount":{"type":"number"},"amountAlreadyIncluded":{"type":"number"},"productPromoId":{"type":"string"},"productPromoRuleId":{"type":"string"},"productPromoActionSeqId":{"type":"string"},"productFeatureId":{"type":"string"},"correspondingProductId":{"type":"string"},"taxAuthorityRateSeqId":{"type":"string"},"sourceReferenceId":{"type":"string"},"sourcePercentage":{"type":"number"},"customerReferenceId":{"type":"string"},"primaryGeoId":{"type":"string"},"secondaryGeoId":{"type":"string"},"exemptAmount":{"type":"number"},"taxAuthGeoId":{"type":"string"},"taxAuthPartyId":{"type":"string"},"overrideGlAccountId":{"type":"string"},"includeInTax":{"type":"string"},"includeInShipping":{"type":"string"},"isManual":{"type":"string"},"createdDate":{"type":"string","format":"date-time"},"createdByUserLogin":{"type":"string"},"lastModifiedDate":{"type":"string","format":"date-time"},"lastModifiedByUserLogin":{"type":"string"},"originalAdjustmentId":{"type":"string"},"oldAmountPerQuantity":{"type":"number"},"oldPercentage":{"type":"number","format":"double"},"billingShipmentId":{"type":"string"},"lastUpdatedStamp":{"type":"string","format":"date-time"},"attributes":{"type":"array","items":{"$ref":"#/components/schemas/org.apache.ofbiz.order.order.OrderAdjustmentAttribute"}}}},"org.apache.ofbiz.order.order.OrderAdjustmentAttribute":{"title":"Order Adjustment Attribute","type":"object","properties":{"_entity":{"type":"string","default":"org.apache.ofbiz.order.order.OrderAdjustmentAttribute"},"orderAdjustmentId":{"type":"string"},"attrName":{"type":"string"},"attrValue":{"type":"string"},"attrDescription":{"type":"string"},"lastUpdatedStamp":{"type":"string","format":"date-time"}}},"org.apache.ofbiz.order.order.OrderItemAttribute":{"title":"Order Item Attribute","type":"object","properties":{"_entity":{"type":"string","default":"org.apache.ofbiz.order.order.OrderItemAttribute"},"orderId":{"type":"string"},"orderItemSeqId":{"type":"string"},"attrName":{"type":"string"},"attrValue":{"type":"string"},"attrDescription":{"type":"string"},"lastUpdatedStamp":{"type":"string","format":"date-time"}}},"org.apache.ofbiz.order.order.OrderStatus":{"title":"Order Status","type":"object","properties":{"_entity":{"type":"string","default":"org.apache.ofbiz.order.order.OrderStatus"},"orderStatusId":{"type":"string"},"statusId":{"type":"string"},"orderId":{"type":"string"},"orderItemSeqId":{"type":"string"},"orderPaymentPreferenceId":{"type":"string"},"statusDatetime":{"type":"string","format":"date-time"},"statusUserLogin":{"type":"string"},"changeReason":{"type":"string"},"changeReasonEnumId":{"type":"string"},"lastUpdatedStamp":{"type":"string","format":"date-time"}}}}},"paths":{"/shipments":{"post":{"tags":["shipments"],"summary":"create Shipment (master: default)","description":null,"responses":{"200":{"description":"Success","content":{"application/json":{"schema":{"$ref":"#/components/schemas/org.apache.ofbiz.shipment.shipment.Shipment.default.PK"}}}},"401":{"description":"Authentication required"},"403":{"description":"Access Forbidden (no authz)"},"404":{"description":"Value Not Found"},"429":{"description":"Too Many Requests (tarpit)"},"500":{"description":"General Error"}},"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/org.apache.ofbiz.shipment.shipment.Shipment.default"}},"multipart/form-data":{"schema":{"$ref":"#/components/schemas/org.apache.ofbiz.shipment.shipment.Shipment.default"}}},"required":false}}}}}
```

## PUT /shipments/{shipmentId}

> update Shipment (master: default)

```json
{"openapi":"3.1.1","info":{"title":"Poorti API","version":"1.0.0"},"tags":[{"name":"shipments","description":"shipments"}],"servers":[{"url":"https://dev-maarg.hotwax.io/rest/s1/poorti"}],"security":[{"basicAuth":[]},{"api_key":[]}],"components":{"securitySchemes":{"basicAuth":{"type":"http","scheme":"basic"},"api_key":{"type":"apiKey","name":"api_key","in":"header","description":"HTTP Header api_key"}},"schemas":{"org.apache.ofbiz.shipment.shipment.Shipment.default.PK":{"title":"Shipment (Master: default)","type":"object","properties":{"_entity":{"type":"string","default":"org.apache.ofbiz.shipment.shipment.Shipment.PK"},"shipmentId":{"type":"string"}}},"org.apache.ofbiz.shipment.shipment.Shipment.default":{"title":"Shipment (Master: default)","type":"object","properties":{"_entity":{"type":"string","default":"org.apache.ofbiz.shipment.shipment.Shipment"},"shipmentId":{"type":"string"},"externalId":{"type":"string"},"shipmentTypeId":{"type":"string"},"statusId":{"type":"string"},"primaryOrderId":{"type":"string"},"primaryReturnId":{"type":"string"},"primaryShipGroupSeqId":{"type":"string"},"picklistBinId":{"type":"string"},"estimatedReadyDate":{"type":"string","format":"date-time"},"estimatedShipDate":{"type":"string","format":"date-time"},"estimatedShipWorkEffId":{"type":"string"},"estimatedArrivalDate":{"type":"string","format":"date-time"},"estimatedArrivalWorkEffId":{"type":"string"},"latestCancelDate":{"type":"string","format":"date-time"},"estimatedShipCost":{"type":"number"},"currencyUomId":{"type":"string"},"handlingInstructions":{"type":"string"},"originFacilityId":{"type":"string"},"destinationFacilityId":{"type":"string"},"originContactMechId":{"type":"string"},"originTelecomNumberId":{"type":"string"},"destinationContactMechId":{"type":"string"},"destinationTelecomNumberId":{"type":"string"},"partyIdTo":{"type":"string"},"partyIdFrom":{"type":"string"},"additionalShippingCharge":{"type":"number"},"addtlShippingChargeDesc":{"type":"string"},"createdDate":{"type":"string","format":"date-time"},"createdByUserLogin":{"type":"string"},"lastModifiedDate":{"type":"string","format":"date-time"},"lastModifiedByUserLogin":{"type":"string"},"carrierPartyId":{"type":"string"},"shipmentMethodTypeId":{"type":"string"},"lastUpdatedStamp":{"type":"string","format":"date-time"},"type":{"$ref":"#/components/schemas/org.apache.ofbiz.shipment.shipment.ShipmentType"},"statusItem":{"$ref":"#/components/schemas/statuses"},"currencyUom":{"$ref":"#/components/schemas/uoms"},"originFacility":{"$ref":"#/components/schemas/org.apache.ofbiz.product.facility.Facility"},"destinationFacility":{"$ref":"#/components/schemas/org.apache.ofbiz.product.facility.Facility"},"originContactMech":{"$ref":"#/components/schemas/org.apache.ofbiz.party.contact.ContactMech"},"destinationContactMech":{"$ref":"#/components/schemas/org.apache.ofbiz.party.contact.ContactMech"},"originPostalAddress":{"$ref":"#/components/schemas/org.apache.ofbiz.party.contact.PostalAddress"},"originTelecomNumber":{"$ref":"#/components/schemas/org.apache.ofbiz.party.contact.TelecomNumber"},"destinationPostalAddress":{"$ref":"#/components/schemas/org.apache.ofbiz.party.contact.PostalAddress"},"destinationTelecomNumber":{"$ref":"#/components/schemas/org.apache.ofbiz.party.contact.TelecomNumber"},"order":{"$ref":"#/components/schemas/org.apache.ofbiz.order.order.OrderHeader"},"return":{"$ref":"#/components/schemas/org.apache.ofbiz.order.return.ReturnHeader"},"orderItemShipGroup":{"$ref":"#/components/schemas/org.apache.ofbiz.order.order.OrderItemShipGroup"}}},"org.apache.ofbiz.shipment.shipment.ShipmentType":{"title":"Shipment Type","type":"object","properties":{"_entity":{"type":"string","default":"org.apache.ofbiz.shipment.shipment.ShipmentType"},"shipmentTypeId":{"type":"string"},"parentTypeId":{"type":"string"},"hasTable":{"type":"string"},"description":{"type":"string"},"lastUpdatedStamp":{"type":"string","format":"date-time"}}},"statuses":{"title":"Status Item","type":"object","properties":{"_entity":{"type":"string","default":"statuses"},"statusId":{"type":"string"},"statusTypeId":{"type":"string"},"statusCode":{"type":"string"},"sequenceNum":{"type":"number","format":"int64"},"description":{"type":"string"},"statusAge":{"type":"number","format":"int64"},"lastUpdatedStamp":{"type":"string","format":"date-time"}}},"uoms":{"title":"Uom","type":"object","properties":{"_entity":{"type":"string","default":"uoms"},"uomId":{"type":"string"},"uomTypeEnumId":{"type":"string","enum":["UT_AREA_MEASURE","UT_CURRENCY_MEASURE","UT_DATASPD_MEASURE","UT_DATA_MEASURE","UT_DENSITY_MEAS","UT_ENERGY_MEASURE","UT_LENGTH_MEASURE","UT_OTHER_MEASURE","UT_POWER_MEASURE","UT_PRESSURE_MEASURE","UT_TEMP_MEASURE","UT_TIME_FREQ_MEASURE","UT_VELOCITY_MEASURE","UT_VOLUME_DRY_MEAS","UT_VOLUME_LIQ_MEAS","UT_WEIGHT_MEASURE"]},"abbreviation":{"type":"string"},"description":{"type":"string"},"fractionDigits":{"type":"number","format":"int64"},"symbol":{"type":"string"},"numericCode":{"type":"number","format":"int64"},"lastUpdatedStamp":{"type":"string","format":"date-time"}}},"org.apache.ofbiz.product.facility.Facility":{"title":"Facility","type":"object","properties":{"_entity":{"type":"string","default":"org.apache.ofbiz.product.facility.Facility"},"facilityId":{"type":"string"},"facilityTypeId":{"type":"string"},"parentFacilityId":{"type":"string"},"ownerPartyId":{"type":"string"},"defaultInventoryItemTypeId":{"type":"string"},"facilityName":{"type":"string"},"primaryFacilityGroupId":{"type":"string"},"oldSquareFootage":{"type":"number","format":"int64"},"facilitySize":{"type":"number"},"facilitySizeUomId":{"type":"string"},"productStoreId":{"type":"string"},"defaultDaysToShip":{"type":"number","format":"int64"},"openedDate":{"type":"string","format":"date-time"},"closedDate":{"type":"string","format":"date-time"},"description":{"type":"string"},"defaultDimensionUomId":{"type":"string"},"defaultWeightUomId":{"type":"string"},"geoPointId":{"type":"string"},"externalId":{"type":"string"},"openTime":{"type":"string"},"closeTime":{"type":"string"},"facilityTimeZone":{"type":"string"},"maximumOrderLimit":{"type":"number","format":"int64"},"postalCode":{"type":"string"},"lastUpdatedStamp":{"type":"string","format":"date-time"}}},"org.apache.ofbiz.party.contact.ContactMech":{"title":"Contact Mech","type":"object","properties":{"_entity":{"type":"string","default":"org.apache.ofbiz.party.contact.ContactMech"},"contactMechId":{"type":"string"},"externalId":{"type":"string"},"contactMechTypeId":{"type":"string"},"infoString":{"type":"string"},"lastUpdatedStamp":{"type":"string","format":"date-time"}}},"org.apache.ofbiz.party.contact.PostalAddress":{"title":"Postal Address","type":"object","properties":{"_entity":{"type":"string","default":"org.apache.ofbiz.party.contact.PostalAddress"},"contactMechId":{"type":"string"},"toName":{"type":"string"},"attnName":{"type":"string"},"address1":{"type":"string"},"address2":{"type":"string"},"houseNumber":{"type":"number","format":"int64"},"houseNumberExt":{"type":"string"},"directions":{"type":"string"},"city":{"type":"string"},"cityGeoId":{"type":"string"},"postalCode":{"type":"string"},"postalCodeExt":{"type":"string"},"countryGeoId":{"type":"string"},"stateProvinceGeoId":{"type":"string"},"countyGeoId":{"type":"string"},"municipalityGeoId":{"type":"string"},"postalCodeGeoId":{"type":"string"},"geoPointId":{"type":"string"},"encodedAddressKey":{"type":"string"},"latitude":{"type":"number","format":"double"},"longitude":{"type":"number","format":"double"},"lastUpdatedStamp":{"type":"string","format":"date-time"}}},"org.apache.ofbiz.party.contact.TelecomNumber":{"title":"Telecom Number","type":"object","properties":{"_entity":{"type":"string","default":"org.apache.ofbiz.party.contact.TelecomNumber"},"contactMechId":{"type":"string"},"countryCode":{"type":"string"},"areaCode":{"type":"string"},"contactNumber":{"type":"string"},"askForName":{"type":"string"},"lastUpdatedStamp":{"type":"string","format":"date-time"}}},"org.apache.ofbiz.order.order.OrderHeader":{"title":"Order Header","type":"object","properties":{"_entity":{"type":"string","default":"org.apache.ofbiz.order.order.OrderHeader"},"orderId":{"type":"string"},"orderTypeId":{"type":"string"},"orderName":{"type":"string"},"externalId":{"type":"string"},"salesChannelEnumId":{"type":"string"},"orderDate":{"type":"string","format":"date-time"},"priority":{"type":"string"},"entryDate":{"type":"string","format":"date-time"},"pickSheetPrintedDate":{"type":"string","format":"date-time"},"visitId":{"type":"string"},"statusId":{"type":"string"},"createdBy":{"type":"string"},"firstAttemptOrderId":{"type":"string"},"currencyUom":{"type":"string"},"syncStatusId":{"type":"string"},"billingAccountId":{"type":"string"},"originFacilityId":{"type":"string"},"webSiteId":{"type":"string"},"productStoreId":{"type":"string"},"terminalId":{"type":"string"},"transactionId":{"type":"string"},"autoOrderShoppingListId":{"type":"string"},"needsInventoryIssuance":{"type":"string"},"isRushOrder":{"type":"string"},"internalCode":{"type":"string"},"remainingSubTotal":{"type":"number"},"grandTotal":{"type":"number"},"isViewed":{"type":"string"},"invoicePerShipment":{"type":"string"},"expireDate":{"type":"string","format":"date-time"},"localeString":{"type":"string"},"customerClassificationId":{"type":"string"},"presentmentCurrencyUom":{"type":"string"},"autoApprove":{"type":"string"},"statusFlowId":{"type":"string"},"lastUpdatedStamp":{"type":"string","format":"date-time"}}},"org.apache.ofbiz.order.return.ReturnHeader":{"title":"Return Header","type":"object","properties":{"_entity":{"type":"string","default":"org.apache.ofbiz.order.return.ReturnHeader"},"returnId":{"type":"string"},"externalId":{"type":"string"},"returnHeaderTypeId":{"type":"string"},"statusId":{"type":"string"},"createdBy":{"type":"string"},"fromPartyId":{"type":"string"},"toPartyId":{"type":"string"},"paymentMethodId":{"type":"string"},"finAccountId":{"type":"string"},"billingAccountId":{"type":"string"},"entryDate":{"type":"string","format":"date-time"},"originContactMechId":{"type":"string"},"destinationFacilityId":{"type":"string"},"needsInventoryReceive":{"type":"string"},"currencyUomId":{"type":"string"},"supplierRmaId":{"type":"string"},"returnChannelEnumId":{"type":"string"},"transactionId":{"type":"string"},"returnDate":{"type":"string","format":"date-time"},"employeeId":{"type":"string"},"terminalId":{"type":"string"},"lastUpdatedStamp":{"type":"string","format":"date-time"}}},"org.apache.ofbiz.order.order.OrderItemShipGroup":{"title":"Order Item Ship Group","type":"object","properties":{"_entity":{"type":"string","default":"org.apache.ofbiz.order.order.OrderItemShipGroup"},"orderId":{"type":"string"},"shipGroupSeqId":{"type":"string"},"shipmentMethodTypeId":{"type":"string"},"supplierPartyId":{"type":"string"},"vendorPartyId":{"type":"string"},"carrierPartyId":{"type":"string"},"carrierRoleTypeId":{"type":"string"},"facilityId":{"type":"string"},"contactMechId":{"type":"string"},"telecomContactMechId":{"type":"string"},"trackingNumber":{"type":"string"},"shippingInstructions":{"type":"string"},"maySplit":{"type":"string"},"giftMessage":{"type":"string"},"isGift":{"type":"string"},"shipAfterDate":{"type":"string","format":"date-time"},"shipByDate":{"type":"string","format":"date-time"},"estimatedShipDate":{"type":"string","format":"date-time"},"estimatedDeliveryDate":{"type":"string","format":"date-time"},"carrierAccountNumber":{"type":"string"},"carrierService":{"type":"string"},"orderFacilityId":{"type":"string"},"lastUpdatedStamp":{"type":"string","format":"date-time"},"items":{"type":"array","items":{"$ref":"#/components/schemas/org.apache.ofbiz.order.order.OrderItem"}}}},"org.apache.ofbiz.order.order.OrderItem":{"title":"Order Item","type":"object","properties":{"_entity":{"type":"string","default":"org.apache.ofbiz.order.order.OrderItem"},"orderId":{"type":"string"},"orderItemSeqId":{"type":"string"},"externalId":{"type":"string"},"orderItemTypeId":{"type":"string"},"orderItemGroupSeqId":{"type":"string"},"isItemGroupPrimary":{"type":"string"},"fromInventoryItemId":{"type":"string"},"budgetId":{"type":"string"},"budgetItemSeqId":{"type":"string"},"productId":{"type":"string"},"supplierProductId":{"type":"string"},"productFeatureId":{"type":"string"},"prodCatalogId":{"type":"string"},"productCategoryId":{"type":"string"},"isPromo":{"type":"string"},"quoteId":{"type":"string"},"quoteItemSeqId":{"type":"string"},"shoppingListId":{"type":"string"},"shoppingListItemSeqId":{"type":"string"},"subscriptionId":{"type":"string"},"deploymentId":{"type":"string"},"quantity":{"type":"number"},"cancelQuantity":{"type":"number"},"selectedAmount":{"type":"number"},"unitPrice":{"type":"number"},"unitListPrice":{"type":"number"},"unitAverageCost":{"type":"number"},"unitRecurringPrice":{"type":"number"},"isModifiedPrice":{"type":"string"},"recurringFreqUomId":{"type":"string"},"itemDescription":{"type":"string"},"comments":{"type":"string"},"correspondingPoId":{"type":"string"},"statusId":{"type":"string"},"syncStatusId":{"type":"string"},"estimatedShipDate":{"type":"string","format":"date-time"},"estimatedDeliveryDate":{"type":"string","format":"date-time"},"autoCancelDate":{"type":"string","format":"date-time"},"dontCancelSetDate":{"type":"string","format":"date-time"},"dontCancelSetUserLogin":{"type":"string"},"shipBeforeDate":{"type":"string","format":"date-time"},"shipAfterDate":{"type":"string","format":"date-time"},"cancelBackOrderDate":{"type":"string","format":"date-time"},"overrideGlAccountId":{"type":"string"},"salesOpportunityId":{"type":"string"},"changeByUserLoginId":{"type":"string"},"shipGroupSeqId":{"type":"string"},"returnTillDate":{"type":"string","format":"date-time"},"promisedDatetime":{"type":"string","format":"date-time"},"shipmentId":{"type":"string"},"isNewProduct":{"type":"string"},"availableToPromise":{"type":"number"},"requestedDeliveryDate":{"type":"string","format":"date"},"requestedDeliveryTime":{"type":"string"},"requestedShipMethTypeId":{"type":"string"},"deliveryWindow":{"type":"number","format":"double"},"taxCode":{"type":"string"},"lastUpdatedStamp":{"type":"string","format":"date-time"},"adjustments":{"type":"array","items":{"$ref":"#/components/schemas/org.apache.ofbiz.order.order.OrderAdjustment"}},"attributes":{"type":"array","items":{"$ref":"#/components/schemas/org.apache.ofbiz.order.order.OrderItemAttribute"}},"statuses":{"type":"array","items":{"$ref":"#/components/schemas/org.apache.ofbiz.order.order.OrderStatus"}}}},"org.apache.ofbiz.order.order.OrderAdjustment":{"title":"Order Adjustment","type":"object","properties":{"_entity":{"type":"string","default":"org.apache.ofbiz.order.order.OrderAdjustment"},"orderAdjustmentId":{"type":"string"},"orderAdjustmentTypeId":{"type":"string"},"orderId":{"type":"string"},"orderItemSeqId":{"type":"string"},"shipGroupSeqId":{"type":"string"},"comments":{"type":"string"},"description":{"type":"string"},"amount":{"type":"number"},"recurringAmount":{"type":"number"},"amountAlreadyIncluded":{"type":"number"},"productPromoId":{"type":"string"},"productPromoRuleId":{"type":"string"},"productPromoActionSeqId":{"type":"string"},"productFeatureId":{"type":"string"},"correspondingProductId":{"type":"string"},"taxAuthorityRateSeqId":{"type":"string"},"sourceReferenceId":{"type":"string"},"sourcePercentage":{"type":"number"},"customerReferenceId":{"type":"string"},"primaryGeoId":{"type":"string"},"secondaryGeoId":{"type":"string"},"exemptAmount":{"type":"number"},"taxAuthGeoId":{"type":"string"},"taxAuthPartyId":{"type":"string"},"overrideGlAccountId":{"type":"string"},"includeInTax":{"type":"string"},"includeInShipping":{"type":"string"},"isManual":{"type":"string"},"createdDate":{"type":"string","format":"date-time"},"createdByUserLogin":{"type":"string"},"lastModifiedDate":{"type":"string","format":"date-time"},"lastModifiedByUserLogin":{"type":"string"},"originalAdjustmentId":{"type":"string"},"oldAmountPerQuantity":{"type":"number"},"oldPercentage":{"type":"number","format":"double"},"billingShipmentId":{"type":"string"},"lastUpdatedStamp":{"type":"string","format":"date-time"},"attributes":{"type":"array","items":{"$ref":"#/components/schemas/org.apache.ofbiz.order.order.OrderAdjustmentAttribute"}}}},"org.apache.ofbiz.order.order.OrderAdjustmentAttribute":{"title":"Order Adjustment Attribute","type":"object","properties":{"_entity":{"type":"string","default":"org.apache.ofbiz.order.order.OrderAdjustmentAttribute"},"orderAdjustmentId":{"type":"string"},"attrName":{"type":"string"},"attrValue":{"type":"string"},"attrDescription":{"type":"string"},"lastUpdatedStamp":{"type":"string","format":"date-time"}}},"org.apache.ofbiz.order.order.OrderItemAttribute":{"title":"Order Item Attribute","type":"object","properties":{"_entity":{"type":"string","default":"org.apache.ofbiz.order.order.OrderItemAttribute"},"orderId":{"type":"string"},"orderItemSeqId":{"type":"string"},"attrName":{"type":"string"},"attrValue":{"type":"string"},"attrDescription":{"type":"string"},"lastUpdatedStamp":{"type":"string","format":"date-time"}}},"org.apache.ofbiz.order.order.OrderStatus":{"title":"Order Status","type":"object","properties":{"_entity":{"type":"string","default":"org.apache.ofbiz.order.order.OrderStatus"},"orderStatusId":{"type":"string"},"statusId":{"type":"string"},"orderId":{"type":"string"},"orderItemSeqId":{"type":"string"},"orderPaymentPreferenceId":{"type":"string"},"statusDatetime":{"type":"string","format":"date-time"},"statusUserLogin":{"type":"string"},"changeReason":{"type":"string"},"changeReasonEnumId":{"type":"string"},"lastUpdatedStamp":{"type":"string","format":"date-time"}}}}},"paths":{"/shipments/{shipmentId}":{"put":{"tags":["shipments"],"summary":"update Shipment (master: default)","description":null,"parameters":[{"schema":{"type":"string"},"name":"shipmentId","in":"path","required":true,"description":null}],"responses":{"200":{"description":"Success","content":{"application/json":{"schema":{"$ref":"#/components/schemas/org.apache.ofbiz.shipment.shipment.Shipment.default.PK"}}}},"401":{"description":"Authentication required"},"403":{"description":"Access Forbidden (no authz)"},"404":{"description":"Value Not Found"},"429":{"description":"Too Many Requests (tarpit)"},"500":{"description":"General Error"}},"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/org.apache.ofbiz.shipment.shipment.Shipment.default"}},"multipart/form-data":{"schema":{"$ref":"#/components/schemas/org.apache.ofbiz.shipment.shipment.Shipment.default"}}},"required":false}}}}}
```

## pack Shipment

> Packs a shipment, updates its status, and marks related picklist items as picked.

```json
{"openapi":"3.1.1","info":{"title":"Poorti API","version":"1.0.0"},"tags":[{"name":"shipments","description":"shipments"}],"servers":[{"url":"https://dev-maarg.hotwax.io/rest/s1/poorti"}],"security":[{"basicAuth":[]},{"api_key":[]}],"components":{"securitySchemes":{"basicAuth":{"type":"http","scheme":"basic"},"api_key":{"type":"apiKey","name":"api_key","in":"header","description":"HTTP Header api_key"}},"schemas":{"co.hotwax.poorti.FulfillmentServices.packShipment.Out":{"type":"object","properties":{"packedShipmentId":{"type":"string"}}},"co.hotwax.poorti.FulfillmentServices.packShipment.In":{"type":"object","properties":{"shipmentId":{"type":"string"},"facilityId":{"type":"string"},"orderId":{"type":"string"},"shipmentPackageContents":{"type":"array"},"rejectedOrderItems":{"type":"array"},"trackingCode":{"type":"string"}},"required":["shipmentId","facilityId","orderId"]}}},"paths":{"/shipments/{shipmentId}/pack":{"post":{"tags":["shipments"],"summary":"pack Shipment","description":"Packs a shipment, updates its status, and marks related picklist items as picked.","parameters":[{"schema":{"type":"string"},"name":"shipmentId","in":"path","required":true,"description":null}],"responses":{"200":{"description":"Success","content":{"application/json":{"schema":{"$ref":"#/components/schemas/co.hotwax.poorti.FulfillmentServices.packShipment.Out"}}}},"401":{"description":"Authentication required"},"403":{"description":"Access Forbidden (no authz)"},"429":{"description":"Too Many Requests (tarpit)"},"500":{"description":"General Error"}},"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/co.hotwax.poorti.FulfillmentServices.packShipment.In"}},"multipart/form-data":{"schema":{"$ref":"#/components/schemas/co.hotwax.poorti.FulfillmentServices.packShipment.In"}}},"required":true}}}}}
```

## unpack Shipment

> Unpack a shipment, updates its status to approved and change fulfillment status to InProgress on SOLR .

```json
{"openapi":"3.1.1","info":{"title":"Poorti API","version":"1.0.0"},"tags":[{"name":"shipments","description":"shipments"}],"servers":[{"url":"https://dev-maarg.hotwax.io/rest/s1/poorti"}],"security":[{"basicAuth":[]},{"api_key":[]}],"components":{"securitySchemes":{"basicAuth":{"type":"http","scheme":"basic"},"api_key":{"type":"apiKey","name":"api_key","in":"header","description":"HTTP Header api_key"}}},"paths":{"/shipments/{shipmentId}/unpack":{"post":{"tags":["shipments"],"summary":"unpack Shipment","description":"Unpack a shipment, updates its status to approved and change fulfillment status to InProgress on SOLR .","parameters":[{"schema":{"type":"string"},"name":"shipmentId","in":"path","required":true,"description":null}],"responses":{"401":{"description":"Authentication required"},"403":{"description":"Access Forbidden (no authz)"},"429":{"description":"Too Many Requests (tarpit)"},"500":{"description":"General Error"}}}}}}
```

## POST /shipments/{shipmentId}/ship

> ship Shipment

```json
{"openapi":"3.1.1","info":{"title":"Poorti API","version":"1.0.0"},"tags":[{"name":"shipments","description":"shipments"}],"servers":[{"url":"https://dev-maarg.hotwax.io/rest/s1/poorti"}],"security":[{"basicAuth":[]},{"api_key":[]}],"components":{"securitySchemes":{"basicAuth":{"type":"http","scheme":"basic"},"api_key":{"type":"apiKey","name":"api_key","in":"header","description":"HTTP Header api_key"}}},"paths":{"/shipments/{shipmentId}/ship":{"post":{"tags":["shipments"],"summary":"ship Shipment","description":null,"parameters":[{"schema":{"type":"string"},"name":"shipmentId","in":"path","required":true,"description":null}],"responses":{"401":{"description":"Authentication required"},"403":{"description":"Access Forbidden (no authz)"},"429":{"description":"Too Many Requests (tarpit)"},"500":{"description":"General Error"}}}}}}
```

## GET /shipments/{shipmentId}/shipmentPackages

> list ShipmentPackage (master: default)

```json
{"openapi":"3.1.1","info":{"title":"Poorti API","version":"1.0.0"},"tags":[{"name":"shipments","description":"shipments"}],"servers":[{"url":"https://dev-maarg.hotwax.io/rest/s1/poorti"}],"security":[{"basicAuth":[]},{"api_key":[]}],"components":{"securitySchemes":{"basicAuth":{"type":"http","scheme":"basic"},"api_key":{"type":"apiKey","name":"api_key","in":"header","description":"HTTP Header api_key"}},"schemas":{"org.apache.ofbiz.shipment.shipment.ShipmentPackage.default":{"title":"Shipment Package (Master: default)","type":"object","properties":{"_entity":{"type":"string","default":"org.apache.ofbiz.shipment.shipment.ShipmentPackage"},"shipmentId":{"type":"string"},"shipmentPackageSeqId":{"type":"string"},"shipmentBoxTypeId":{"type":"string"},"dateCreated":{"type":"string","format":"date-time"},"boxLength":{"type":"number"},"boxHeight":{"type":"number"},"boxWidth":{"type":"number"},"dimensionUomId":{"$ref":"#/components/schemas/uoms"},"weight":{"type":"number"},"weightUomId":{"$ref":"#/components/schemas/uoms"},"insuredValue":{"type":"number"},"packageName":{"type":"string"},"lastUpdatedStamp":{"type":"string","format":"date-time"},"shipment":{"$ref":"#/components/schemas/org.apache.ofbiz.shipment.shipment.Shipment"},"boxType":{"$ref":"#/components/schemas/org.apache.ofbiz.shipment.shipment.ShipmentBoxType"},"carrierBoxType":{"type":"array","items":{"$ref":"#/components/schemas/org.apache.ofbiz.shipment.shipment.CarrierShipmentBoxType"}}}},"uoms":{"title":"Uom","type":"object","properties":{"_entity":{"type":"string","default":"uoms"},"uomId":{"type":"string"},"uomTypeEnumId":{"type":"string","enum":["UT_AREA_MEASURE","UT_CURRENCY_MEASURE","UT_DATASPD_MEASURE","UT_DATA_MEASURE","UT_DENSITY_MEAS","UT_ENERGY_MEASURE","UT_LENGTH_MEASURE","UT_OTHER_MEASURE","UT_POWER_MEASURE","UT_PRESSURE_MEASURE","UT_TEMP_MEASURE","UT_TIME_FREQ_MEASURE","UT_VELOCITY_MEASURE","UT_VOLUME_DRY_MEAS","UT_VOLUME_LIQ_MEAS","UT_WEIGHT_MEASURE"]},"abbreviation":{"type":"string"},"description":{"type":"string"},"fractionDigits":{"type":"number","format":"int64"},"symbol":{"type":"string"},"numericCode":{"type":"number","format":"int64"},"lastUpdatedStamp":{"type":"string","format":"date-time"}}},"org.apache.ofbiz.shipment.shipment.Shipment":{"title":"Shipment","type":"object","properties":{"_entity":{"type":"string","default":"org.apache.ofbiz.shipment.shipment.Shipment"},"shipmentId":{"type":"string"},"externalId":{"type":"string"},"shipmentTypeId":{"type":"string"},"statusId":{"type":"string"},"primaryOrderId":{"type":"string"},"primaryReturnId":{"type":"string"},"primaryShipGroupSeqId":{"type":"string"},"picklistBinId":{"type":"string"},"estimatedReadyDate":{"type":"string","format":"date-time"},"estimatedShipDate":{"type":"string","format":"date-time"},"estimatedShipWorkEffId":{"type":"string"},"estimatedArrivalDate":{"type":"string","format":"date-time"},"estimatedArrivalWorkEffId":{"type":"string"},"latestCancelDate":{"type":"string","format":"date-time"},"estimatedShipCost":{"type":"number"},"currencyUomId":{"type":"string"},"handlingInstructions":{"type":"string"},"originFacilityId":{"type":"string"},"destinationFacilityId":{"type":"string"},"originContactMechId":{"type":"string"},"originTelecomNumberId":{"type":"string"},"destinationContactMechId":{"type":"string"},"destinationTelecomNumberId":{"type":"string"},"partyIdTo":{"type":"string"},"partyIdFrom":{"type":"string"},"additionalShippingCharge":{"type":"number"},"addtlShippingChargeDesc":{"type":"string"},"createdDate":{"type":"string","format":"date-time"},"createdByUserLogin":{"type":"string"},"lastModifiedDate":{"type":"string","format":"date-time"},"lastModifiedByUserLogin":{"type":"string"},"carrierPartyId":{"type":"string"},"shipmentMethodTypeId":{"type":"string"},"lastUpdatedStamp":{"type":"string","format":"date-time"}}},"org.apache.ofbiz.shipment.shipment.ShipmentBoxType":{"title":"Shipment Box Type","type":"object","properties":{"_entity":{"type":"string","default":"org.apache.ofbiz.shipment.shipment.ShipmentBoxType"},"shipmentBoxTypeId":{"type":"string"},"description":{"type":"string"},"dimensionUomId":{"type":"string"},"boxLength":{"type":"number"},"boxWidth":{"type":"number"},"boxHeight":{"type":"number"},"weightUomId":{"type":"string"},"boxWeight":{"type":"number"},"lastUpdatedStamp":{"type":"string","format":"date-time"}}},"org.apache.ofbiz.shipment.shipment.CarrierShipmentBoxType":{"title":"Carrier Shipment Box Type","type":"object","properties":{"_entity":{"type":"string","default":"org.apache.ofbiz.shipment.shipment.CarrierShipmentBoxType"},"shipmentBoxTypeId":{"type":"string"},"partyId":{"type":"string"},"packagingTypeCode":{"type":"string"},"oversizeCode":{"type":"string"},"pickupContainerCode":{"type":"string"},"lastUpdatedStamp":{"type":"string","format":"date-time"}}}}},"paths":{"/shipments/{shipmentId}/shipmentPackages":{"get":{"tags":["shipments"],"summary":"list ShipmentPackage (master: default)","description":null,"parameters":[{"schema":{"type":"string"},"name":"shipmentId","in":"path","required":true,"description":null},{"schema":{"type":"number","format":"int32"},"name":"pageIndex","in":"query","required":false,"description":"Page number to return, starting with zero"},{"schema":{"type":"number","format":"int32"},"name":"pageSize","in":"query","required":false,"description":"Number of records per page (default 100)"},{"schema":{"type":"string"},"name":"orderByField","in":"query","required":false,"description":"Field name to order by (or comma separated names)"},{"schema":{"type":"string"},"name":"pageNoLimit","in":"query","required":false,"description":"If true don't limit page size (no pagination)"},{"schema":{"type":"number","format":"int32"},"name":"dependentLevels","in":"query","required":false,"description":"Levels of dependent child records to include"},{"schema":{"type":"string","format":""},"name":"shipmentPackageSeqId","in":"query","required":false,"description":null},{"schema":{"type":"string","format":""},"name":"shipmentBoxTypeId","in":"query","required":false,"description":null},{"schema":{"type":"string","format":"date-time"},"name":"dateCreated","in":"query","required":false,"description":null},{"schema":{"type":"number","format":""},"name":"boxLength","in":"query","required":false,"description":"This field store the length of package; if a shipmentBoxTypeId is specified then this overrides the dimension specified there; this field is meant to be used when there is no applicable ShipmentBoxType"},{"schema":{"type":"number","format":""},"name":"boxHeight","in":"query","required":false,"description":"This field store the height of package; if a shipmentBoxTypeId is specified then this overrides the dimension specified there; this field is meant to be used when there is no applicable ShipmentBoxType"},{"schema":{"type":"number","format":""},"name":"boxWidth","in":"query","required":false,"description":"This field store the width of package; if a shipmentBoxTypeId is specified then this overrides the dimension specified there; this field is meant to be used when there is no applicable ShipmentBoxType"},{"schema":{"type":"string","format":""},"name":"dimensionUomId","in":"query","required":false,"description":"This field store the unit of measurement of dimension (length, width and height)"},{"schema":{"type":"number","format":""},"name":"weight","in":"query","required":false,"description":null},{"schema":{"type":"string","format":""},"name":"weightUomId","in":"query","required":false,"description":null},{"schema":{"type":"number","format":""},"name":"insuredValue","in":"query","required":false,"description":null},{"schema":{"type":"string","format":""},"name":"packageName","in":"query","required":false,"description":null},{"schema":{"type":"string","format":"date-time"},"name":"lastUpdatedStamp","in":"query","required":false,"description":null}],"responses":{"200":{"description":"Success","content":{"application/json":{"schema":{"type":"array","items":{"$ref":"#/components/schemas/org.apache.ofbiz.shipment.shipment.ShipmentPackage.default"}}}}},"401":{"description":"Authentication required"},"403":{"description":"Access Forbidden (no authz)"},"404":{"description":"Value Not Found"},"429":{"description":"Too Many Requests (tarpit)"},"500":{"description":"General Error"}}}}}}
```

## POST /shipments/{shipmentId}/shipmentPackages

> create ShipmentPackage

```json
{"openapi":"3.1.1","info":{"title":"Poorti API","version":"1.0.0"},"tags":[{"name":"shipments","description":"shipments"}],"servers":[{"url":"https://dev-maarg.hotwax.io/rest/s1/poorti"}],"security":[{"basicAuth":[]},{"api_key":[]}],"components":{"securitySchemes":{"basicAuth":{"type":"http","scheme":"basic"},"api_key":{"type":"apiKey","name":"api_key","in":"header","description":"HTTP Header api_key"}},"schemas":{"co.hotwax.poorti.FulfillmentServices.createShipmentPackage.Out":{"type":"object","properties":{"shipmentId":{"type":"string"},"shipmentPackageSeqId":{"type":"string"}}},"co.hotwax.poorti.FulfillmentServices.createShipmentPackage.In":{"type":"object","properties":{"shipmentId":{"type":"string"},"shipmentPackageSeqId":{"type":"string"},"shipmentBoxTypeId":{"type":"string"},"boxLength":{"type":"number"},"boxHeight":{"type":"number"},"boxWidth":{"type":"number"},"dimensionUomId":{"type":"string"},"weight":{"type":"number"},"weightUomId":{"type":"string"},"insuredValue":{"type":"number"},"packageName":{"type":"string"},"lastUpdatedStamp":{"type":"string","format":"date-time"}}}}},"paths":{"/shipments/{shipmentId}/shipmentPackages":{"post":{"tags":["shipments"],"summary":"create ShipmentPackage","description":null,"parameters":[{"schema":{"type":"string"},"name":"shipmentId","in":"path","required":true,"description":null}],"responses":{"200":{"description":"Success","content":{"application/json":{"schema":{"$ref":"#/components/schemas/co.hotwax.poorti.FulfillmentServices.createShipmentPackage.Out"}}}},"401":{"description":"Authentication required"},"403":{"description":"Access Forbidden (no authz)"},"429":{"description":"Too Many Requests (tarpit)"},"500":{"description":"General Error"}},"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/co.hotwax.poorti.FulfillmentServices.createShipmentPackage.In"}},"multipart/form-data":{"schema":{"$ref":"#/components/schemas/co.hotwax.poorti.FulfillmentServices.createShipmentPackage.In"}}},"required":true}}}}}
```

## GET /shipments/{shipmentId}/shipmentPackages/{shipmentPackageSeqId}

> one ShipmentPackage

```json
{"openapi":"3.1.1","info":{"title":"Poorti API","version":"1.0.0"},"tags":[{"name":"shipments","description":"shipments"}],"servers":[{"url":"https://dev-maarg.hotwax.io/rest/s1/poorti"}],"security":[{"basicAuth":[]},{"api_key":[]}],"components":{"securitySchemes":{"basicAuth":{"type":"http","scheme":"basic"},"api_key":{"type":"apiKey","name":"api_key","in":"header","description":"HTTP Header api_key"}},"schemas":{"org.apache.ofbiz.shipment.shipment.ShipmentPackage":{"title":"Shipment Package","type":"object","properties":{"_entity":{"type":"string","default":"org.apache.ofbiz.shipment.shipment.ShipmentPackage"},"shipmentId":{"type":"string"},"shipmentPackageSeqId":{"type":"string"},"shipmentBoxTypeId":{"type":"string"},"dateCreated":{"type":"string","format":"date-time"},"boxLength":{"type":"number"},"boxHeight":{"type":"number"},"boxWidth":{"type":"number"},"dimensionUomId":{"type":"string"},"weight":{"type":"number"},"weightUomId":{"type":"string"},"insuredValue":{"type":"number"},"packageName":{"type":"string"},"lastUpdatedStamp":{"type":"string","format":"date-time"}}}}},"paths":{"/shipments/{shipmentId}/shipmentPackages/{shipmentPackageSeqId}":{"get":{"tags":["shipments"],"summary":"one ShipmentPackage","description":null,"parameters":[{"schema":{"type":"string"},"name":"shipmentId","in":"path","required":true,"description":null},{"schema":{"type":"string"},"name":"shipmentPackageSeqId","in":"path","required":true,"description":null}],"responses":{"200":{"description":"Success","content":{"application/json":{"schema":{"$ref":"#/components/schemas/org.apache.ofbiz.shipment.shipment.ShipmentPackage"}}}},"401":{"description":"Authentication required"},"403":{"description":"Access Forbidden (no authz)"},"404":{"description":"Value Not Found"},"429":{"description":"Too Many Requests (tarpit)"},"500":{"description":"General Error"}}}}}}
```

## PUT /shipments/{shipmentId}/shipmentPackages/{shipmentPackageSeqId}

> update ShipmentPackage

```json
{"openapi":"3.1.1","info":{"title":"Poorti API","version":"1.0.0"},"tags":[{"name":"shipments","description":"shipments"}],"servers":[{"url":"https://dev-maarg.hotwax.io/rest/s1/poorti"}],"security":[{"basicAuth":[]},{"api_key":[]}],"components":{"securitySchemes":{"basicAuth":{"type":"http","scheme":"basic"},"api_key":{"type":"apiKey","name":"api_key","in":"header","description":"HTTP Header api_key"}},"schemas":{"org.apache.ofbiz.shipment.shipment.ShipmentPackage.PK":{"title":"Shipment Package","type":"object","properties":{"_entity":{"type":"string","default":"org.apache.ofbiz.shipment.shipment.ShipmentPackage.PK"},"shipmentId":{"type":"string"},"shipmentPackageSeqId":{"type":"string"}}},"org.apache.ofbiz.shipment.shipment.ShipmentPackage":{"title":"Shipment Package","type":"object","properties":{"_entity":{"type":"string","default":"org.apache.ofbiz.shipment.shipment.ShipmentPackage"},"shipmentId":{"type":"string"},"shipmentPackageSeqId":{"type":"string"},"shipmentBoxTypeId":{"type":"string"},"dateCreated":{"type":"string","format":"date-time"},"boxLength":{"type":"number"},"boxHeight":{"type":"number"},"boxWidth":{"type":"number"},"dimensionUomId":{"type":"string"},"weight":{"type":"number"},"weightUomId":{"type":"string"},"insuredValue":{"type":"number"},"packageName":{"type":"string"},"lastUpdatedStamp":{"type":"string","format":"date-time"}}}}},"paths":{"/shipments/{shipmentId}/shipmentPackages/{shipmentPackageSeqId}":{"put":{"tags":["shipments"],"summary":"update ShipmentPackage","description":null,"parameters":[{"schema":{"type":"string"},"name":"shipmentId","in":"path","required":true,"description":null},{"schema":{"type":"string"},"name":"shipmentPackageSeqId","in":"path","required":true,"description":null}],"responses":{"200":{"description":"Success","content":{"application/json":{"schema":{"$ref":"#/components/schemas/org.apache.ofbiz.shipment.shipment.ShipmentPackage.PK"}}}},"401":{"description":"Authentication required"},"403":{"description":"Access Forbidden (no authz)"},"404":{"description":"Value Not Found"},"429":{"description":"Too Many Requests (tarpit)"},"500":{"description":"General Error"}},"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/org.apache.ofbiz.shipment.shipment.ShipmentPackage"}},"multipart/form-data":{"schema":{"$ref":"#/components/schemas/org.apache.ofbiz.shipment.shipment.ShipmentPackage"}}},"required":false}}}}}
```

## get ShippingLabel

> Get shipping label from Third Party Shipping Services

```json
{"openapi":"3.1.1","info":{"title":"Poorti API","version":"1.0.0"},"tags":[{"name":"shipments","description":"shipments"}],"servers":[{"url":"https://dev-maarg.hotwax.io/rest/s1/poorti"}],"security":[{"basicAuth":[]},{"api_key":[]}],"components":{"securitySchemes":{"basicAuth":{"type":"http","scheme":"basic"},"api_key":{"type":"apiKey","name":"api_key","in":"header","description":"HTTP Header api_key"}}},"paths":{"/shipments/{shipmentId}/shippingLabels":{"get":{"tags":["shipments"],"summary":"get ShippingLabel","description":"Get shipping label from Third Party Shipping Services","parameters":[{"schema":{"type":"string"},"name":"shipmentId","in":"path","required":true,"description":null},{"schema":{"type":"string","format":""},"name":"carrierPartyId","in":"query","required":false,"description":null}],"responses":{"401":{"description":"Authentication required"},"403":{"description":"Access Forbidden (no authz)"},"429":{"description":"Too Many Requests (tarpit)"},"500":{"description":"General Error"}}}}}}
```

## void ShipmentLabel

> Void shipping label from Third Party Shipping Services

```json
{"openapi":"3.1.1","info":{"title":"Poorti API","version":"1.0.0"},"tags":[{"name":"shipments","description":"shipments"}],"servers":[{"url":"https://dev-maarg.hotwax.io/rest/s1/poorti"}],"security":[{"basicAuth":[]},{"api_key":[]}],"components":{"securitySchemes":{"basicAuth":{"type":"http","scheme":"basic"},"api_key":{"type":"apiKey","name":"api_key","in":"header","description":"HTTP Header api_key"}}},"paths":{"/shipments/{shipmentId}/shippingLabels/void":{"post":{"tags":["shipments"],"summary":"void ShipmentLabel","description":"Void shipping label from Third Party Shipping Services","parameters":[{"schema":{"type":"string"},"name":"shipmentId","in":"path","required":true,"description":null}],"responses":{"401":{"description":"Authentication required"},"403":{"description":"Access Forbidden (no authz)"},"429":{"description":"Too Many Requests (tarpit)"},"500":{"description":"General Error"}}}}}}
```

## GET /shipments/{shipmentId}/shipmentPackageContents

> list ShipmentPackageContent

```json
{"openapi":"3.1.1","info":{"title":"Poorti API","version":"1.0.0"},"tags":[{"name":"shipments","description":"shipments"}],"servers":[{"url":"https://dev-maarg.hotwax.io/rest/s1/poorti"}],"security":[{"basicAuth":[]},{"api_key":[]}],"components":{"securitySchemes":{"basicAuth":{"type":"http","scheme":"basic"},"api_key":{"type":"apiKey","name":"api_key","in":"header","description":"HTTP Header api_key"}},"schemas":{"org.apache.ofbiz.shipment.shipment.ShipmentPackageContent":{"title":"Shipment Package Content","type":"object","properties":{"_entity":{"type":"string","default":"org.apache.ofbiz.shipment.shipment.ShipmentPackageContent"},"shipmentId":{"type":"string"},"shipmentPackageSeqId":{"type":"string"},"shipmentItemSeqId":{"type":"string"},"quantity":{"type":"number"},"subProductId":{"type":"string"},"subProductQuantity":{"type":"number"},"lastUpdatedStamp":{"type":"string","format":"date-time"}}}}},"paths":{"/shipments/{shipmentId}/shipmentPackageContents":{"get":{"tags":["shipments"],"summary":"list ShipmentPackageContent","description":null,"parameters":[{"schema":{"type":"string"},"name":"shipmentId","in":"path","required":true,"description":null},{"schema":{"type":"number","format":"int32"},"name":"pageIndex","in":"query","required":false,"description":"Page number to return, starting with zero"},{"schema":{"type":"number","format":"int32"},"name":"pageSize","in":"query","required":false,"description":"Number of records per page (default 100)"},{"schema":{"type":"string"},"name":"orderByField","in":"query","required":false,"description":"Field name to order by (or comma separated names)"},{"schema":{"type":"string"},"name":"pageNoLimit","in":"query","required":false,"description":"If true don't limit page size (no pagination)"},{"schema":{"type":"number","format":"int32"},"name":"dependentLevels","in":"query","required":false,"description":"Levels of dependent child records to include"},{"schema":{"type":"string","format":""},"name":"shipmentPackageSeqId","in":"query","required":false,"description":null},{"schema":{"type":"string","format":""},"name":"shipmentItemSeqId","in":"query","required":false,"description":null},{"schema":{"type":"number","format":""},"name":"quantity","in":"query","required":false,"description":null},{"schema":{"type":"string","format":""},"name":"subProductId","in":"query","required":false,"description":null},{"schema":{"type":"number","format":""},"name":"subProductQuantity","in":"query","required":false,"description":null},{"schema":{"type":"string","format":"date-time"},"name":"lastUpdatedStamp","in":"query","required":false,"description":null}],"responses":{"200":{"description":"Success","content":{"application/json":{"schema":{"type":"array","items":{"$ref":"#/components/schemas/org.apache.ofbiz.shipment.shipment.ShipmentPackageContent"}}}}},"401":{"description":"Authentication required"},"403":{"description":"Access Forbidden (no authz)"},"404":{"description":"Value Not Found"},"429":{"description":"Too Many Requests (tarpit)"},"500":{"description":"General Error"}}}}}}
```

## POST /shipments/{shipmentId}/shipmentPackageContents

> create ShipmentPackageContent

```json
{"openapi":"3.1.1","info":{"title":"Poorti API","version":"1.0.0"},"tags":[{"name":"shipments","description":"shipments"}],"servers":[{"url":"https://dev-maarg.hotwax.io/rest/s1/poorti"}],"security":[{"basicAuth":[]},{"api_key":[]}],"components":{"securitySchemes":{"basicAuth":{"type":"http","scheme":"basic"},"api_key":{"type":"apiKey","name":"api_key","in":"header","description":"HTTP Header api_key"}},"schemas":{"org.apache.ofbiz.shipment.shipment.ShipmentPackageContent.PK":{"title":"Shipment Package Content","type":"object","properties":{"_entity":{"type":"string","default":"org.apache.ofbiz.shipment.shipment.ShipmentPackageContent.PK"},"shipmentId":{"type":"string"},"shipmentPackageSeqId":{"type":"string"},"shipmentItemSeqId":{"type":"string"}}},"org.apache.ofbiz.shipment.shipment.ShipmentPackageContent":{"title":"Shipment Package Content","type":"object","properties":{"_entity":{"type":"string","default":"org.apache.ofbiz.shipment.shipment.ShipmentPackageContent"},"shipmentId":{"type":"string"},"shipmentPackageSeqId":{"type":"string"},"shipmentItemSeqId":{"type":"string"},"quantity":{"type":"number"},"subProductId":{"type":"string"},"subProductQuantity":{"type":"number"},"lastUpdatedStamp":{"type":"string","format":"date-time"}}}}},"paths":{"/shipments/{shipmentId}/shipmentPackageContents":{"post":{"tags":["shipments"],"summary":"create ShipmentPackageContent","description":null,"parameters":[{"schema":{"type":"string"},"name":"shipmentId","in":"path","required":true,"description":null}],"responses":{"200":{"description":"Success","content":{"application/json":{"schema":{"$ref":"#/components/schemas/org.apache.ofbiz.shipment.shipment.ShipmentPackageContent.PK"}}}},"401":{"description":"Authentication required"},"403":{"description":"Access Forbidden (no authz)"},"404":{"description":"Value Not Found"},"429":{"description":"Too Many Requests (tarpit)"},"500":{"description":"General Error"}},"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/org.apache.ofbiz.shipment.shipment.ShipmentPackageContent"}},"multipart/form-data":{"schema":{"$ref":"#/components/schemas/org.apache.ofbiz.shipment.shipment.ShipmentPackageContent"}}},"required":false}}}}}
```

## POST /shipments/{shipmentId}/shipmentPackageRouteSegments

> create ShipmentPackageRouteSeg

```json
{"openapi":"3.1.1","info":{"title":"Poorti API","version":"1.0.0"},"tags":[{"name":"shipments","description":"shipments"}],"servers":[{"url":"https://dev-maarg.hotwax.io/rest/s1/poorti"}],"security":[{"basicAuth":[]},{"api_key":[]}],"components":{"securitySchemes":{"basicAuth":{"type":"http","scheme":"basic"},"api_key":{"type":"apiKey","name":"api_key","in":"header","description":"HTTP Header api_key"}},"schemas":{"org.apache.ofbiz.shipment.shipment.ShipmentPackageRouteSeg.PK":{"title":"Shipment Package Route Seg","type":"object","properties":{"_entity":{"type":"string","default":"org.apache.ofbiz.shipment.shipment.ShipmentPackageRouteSeg.PK"},"shipmentId":{"type":"string"},"shipmentPackageSeqId":{"type":"string"},"shipmentRouteSegmentId":{"type":"string"}}},"org.apache.ofbiz.shipment.shipment.ShipmentPackageRouteSeg":{"title":"Shipment Package Route Seg","type":"object","properties":{"_entity":{"type":"string","default":"org.apache.ofbiz.shipment.shipment.ShipmentPackageRouteSeg"},"shipmentId":{"type":"string"},"shipmentPackageSeqId":{"type":"string"},"shipmentRouteSegmentId":{"type":"string"},"trackingCode":{"type":"string"},"boxNumber":{"type":"string"},"labelImage":{"type":"string"},"labelIntlSignImage":{"type":"string"},"labelHtml":{"type":"string"},"labelPrinted":{"type":"string"},"internationalInvoice":{"type":"string"},"packageTransportCost":{"type":"number"},"packageServiceCost":{"type":"number"},"packageOtherCost":{"type":"number"},"codAmount":{"type":"number"},"insuredAmount":{"type":"number"},"currencyUomId":{"type":"string"},"labelImageUrl":{"type":"string"},"internationalInvoiceUrl":{"type":"string"},"packagePickupPrn":{"type":"string"},"packagePickupDate":{"type":"string","format":"date-time"},"gatewayMessage":{"type":"string"},"gatewayStatus":{"type":"string"},"lastUpdatedStamp":{"type":"string","format":"date-time"}}}}},"paths":{"/shipments/{shipmentId}/shipmentPackageRouteSegments":{"post":{"tags":["shipments"],"summary":"create ShipmentPackageRouteSeg","description":null,"parameters":[{"schema":{"type":"string"},"name":"shipmentId","in":"path","required":true,"description":null}],"responses":{"200":{"description":"Success","content":{"application/json":{"schema":{"$ref":"#/components/schemas/org.apache.ofbiz.shipment.shipment.ShipmentPackageRouteSeg.PK"}}}},"401":{"description":"Authentication required"},"403":{"description":"Access Forbidden (no authz)"},"404":{"description":"Value Not Found"},"429":{"description":"Too Many Requests (tarpit)"},"500":{"description":"General Error"}},"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/org.apache.ofbiz.shipment.shipment.ShipmentPackageRouteSeg"}},"multipart/form-data":{"schema":{"$ref":"#/components/schemas/org.apache.ofbiz.shipment.shipment.ShipmentPackageRouteSeg"}}},"required":false}}}}}
```

## PUT /shipments/{shipmentId}/shipmentRouteSegment

> update ShipmentRouteSegment

```json
{"openapi":"3.1.1","info":{"title":"Poorti API","version":"1.0.0"},"tags":[{"name":"shipments","description":"shipments"}],"servers":[{"url":"https://dev-maarg.hotwax.io/rest/s1/poorti"}],"security":[{"basicAuth":[]},{"api_key":[]}],"components":{"securitySchemes":{"basicAuth":{"type":"http","scheme":"basic"},"api_key":{"type":"apiKey","name":"api_key","in":"header","description":"HTTP Header api_key"}},"schemas":{"org.apache.ofbiz.shipment.shipment.ShipmentRouteSegment.PK":{"title":"Shipment Route Segment","type":"object","properties":{"_entity":{"type":"string","default":"org.apache.ofbiz.shipment.shipment.ShipmentRouteSegment.PK"},"shipmentId":{"type":"string"},"shipmentRouteSegmentId":{"type":"string"}}},"org.apache.ofbiz.shipment.shipment.ShipmentRouteSegment":{"title":"Shipment Route Segment","type":"object","properties":{"_entity":{"type":"string","default":"org.apache.ofbiz.shipment.shipment.ShipmentRouteSegment"},"shipmentId":{"type":"string"},"shipmentRouteSegmentId":{"type":"string"},"deliveryId":{"type":"string"},"originFacilityId":{"type":"string"},"destFacilityId":{"type":"string"},"originContactMechId":{"type":"string"},"originTelecomNumberId":{"type":"string"},"destContactMechId":{"type":"string"},"destTelecomNumberId":{"type":"string"},"carrierPartyId":{"type":"string"},"shipmentMethodTypeId":{"type":"string"},"carrierServiceStatusId":{"type":"string"},"carrierDeliveryZone":{"type":"string"},"carrierRestrictionCodes":{"type":"string"},"carrierRestrictionDesc":{"type":"string"},"billingWeight":{"type":"number"},"billingWeightUomId":{"type":"string"},"actualTransportCost":{"type":"number"},"actualServiceCost":{"type":"number"},"actualOtherCost":{"type":"number"},"actualCost":{"type":"number"},"currencyUomId":{"type":"string"},"actualStartDate":{"type":"string","format":"date-time"},"actualArrivalDate":{"type":"string","format":"date-time"},"estimatedStartDate":{"type":"string","format":"date-time"},"estimatedArrivalDate":{"type":"string","format":"date-time"},"trackingIdNumber":{"type":"string"},"trackingDigest":{"type":"string"},"updatedByUserLoginId":{"type":"string"},"lastUpdatedDate":{"type":"string","format":"date-time"},"homeDeliveryType":{"type":"string"},"homeDeliveryDate":{"type":"string","format":"date-time"},"thirdPartyAccountNumber":{"type":"string"},"thirdPartyPostalCode":{"type":"string"},"thirdPartyCountryGeoCode":{"type":"string"},"upsHighValueReport":{"type":"string"},"trackingUrl":{"type":"string"},"codReturnLabelImage":{"type":"string"},"codReturnLabelHtml":{"type":"string"},"codCollectionAmount":{"type":"number"},"carrierAccountNumber":{"type":"string"},"carrierService":{"type":"string"},"isGenerateThirdPartyLabel":{"type":"string"},"isTrackingRequired":{"type":"string"},"referenceNumber":{"type":"string"},"actualCarrierCode":{"type":"string"},"labelImage":{"type":"string"},"labelImageUrl":{"type":"string"},"labelHtml":{"type":"string"},"requestedDeliveryDate":{"type":"string","format":"date"},"requestedDeliveryTime":{"type":"string"},"requestedShipMethTypeId":{"type":"string"},"deliveryWindow":{"type":"number","format":"double"},"gatewayRateId":{"type":"string"},"lastUpdatedStamp":{"type":"string","format":"date-time"}}}}},"paths":{"/shipments/{shipmentId}/shipmentRouteSegment":{"put":{"tags":["shipments"],"summary":"update ShipmentRouteSegment","description":null,"parameters":[{"schema":{"type":"string"},"name":"shipmentId","in":"path","required":true,"description":null}],"responses":{"200":{"description":"Success","content":{"application/json":{"schema":{"$ref":"#/components/schemas/org.apache.ofbiz.shipment.shipment.ShipmentRouteSegment.PK"}}}},"401":{"description":"Authentication required"},"403":{"description":"Access Forbidden (no authz)"},"404":{"description":"Value Not Found"},"429":{"description":"Too Many Requests (tarpit)"},"500":{"description":"General Error"}},"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/org.apache.ofbiz.shipment.shipment.ShipmentRouteSegment"}},"multipart/form-data":{"schema":{"$ref":"#/components/schemas/org.apache.ofbiz.shipment.shipment.ShipmentRouteSegment"}}},"required":false}}}}}
```

## pack Shipments

> Pack shipments

```json
{"openapi":"3.1.1","info":{"title":"Poorti API","version":"1.0.0"},"tags":[{"name":"shipments","description":"shipments"}],"servers":[{"url":"https://dev-maarg.hotwax.io/rest/s1/poorti"}],"security":[{"basicAuth":[]},{"api_key":[]}],"components":{"securitySchemes":{"basicAuth":{"type":"http","scheme":"basic"},"api_key":{"type":"apiKey","name":"api_key","in":"header","description":"HTTP Header api_key"}},"schemas":{"co.hotwax.poorti.FulfillmentServices.packShipments.Out":{"type":"object","properties":{"packedShipmentIds":{"type":"array"}}},"co.hotwax.poorti.FulfillmentServices.packShipments.In":{"type":"object","properties":{"shipments":{"type":"array"}},"required":["shipments"]}}},"paths":{"/shipments/bulkPack":{"post":{"tags":["shipments"],"summary":"pack Shipments","description":"Pack shipments","responses":{"200":{"description":"Success","content":{"application/json":{"schema":{"$ref":"#/components/schemas/co.hotwax.poorti.FulfillmentServices.packShipments.Out"}}}},"401":{"description":"Authentication required"},"403":{"description":"Access Forbidden (no authz)"},"429":{"description":"Too Many Requests (tarpit)"},"500":{"description":"General Error"}},"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/co.hotwax.poorti.FulfillmentServices.packShipments.In"}},"multipart/form-data":{"schema":{"$ref":"#/components/schemas/co.hotwax.poorti.FulfillmentServices.packShipments.In"}}},"required":true}}}}}
```

## ship Shipments

> Pack shipments

```json
{"openapi":"3.1.1","info":{"title":"Poorti API","version":"1.0.0"},"tags":[{"name":"shipments","description":"shipments"}],"servers":[{"url":"https://dev-maarg.hotwax.io/rest/s1/poorti"}],"security":[{"basicAuth":[]},{"api_key":[]}],"components":{"securitySchemes":{"basicAuth":{"type":"http","scheme":"basic"},"api_key":{"type":"apiKey","name":"api_key","in":"header","description":"HTTP Header api_key"}},"schemas":{"co.hotwax.poorti.FulfillmentServices.shipShipments.In":{"type":"object","properties":{"shipmentIds":{"type":"array"}},"required":["shipmentIds"]}}},"paths":{"/shipments/bulkShip":{"post":{"tags":["shipments"],"summary":"ship Shipments","description":"Pack shipments","responses":{"401":{"description":"Authentication required"},"403":{"description":"Access Forbidden (no authz)"},"429":{"description":"Too Many Requests (tarpit)"},"500":{"description":"General Error"}},"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/co.hotwax.poorti.FulfillmentServices.shipShipments.In"}},"multipart/form-data":{"schema":{"$ref":"#/components/schemas/co.hotwax.poorti.FulfillmentServices.shipShipments.In"}}},"required":true}}}}}
```

## retry ShippingLabel

> Retry Shipping Label, this would handle do rate shopping and accept shipment accordingly

```json
{"openapi":"3.1.1","info":{"title":"Poorti API","version":"1.0.0"},"tags":[{"name":"shipments","description":"shipments"}],"servers":[{"url":"https://dev-maarg.hotwax.io/rest/s1/poorti"}],"security":[{"basicAuth":[]},{"api_key":[]}],"components":{"securitySchemes":{"basicAuth":{"type":"http","scheme":"basic"},"api_key":{"type":"apiKey","name":"api_key","in":"header","description":"HTTP Header api_key"}},"schemas":{"co.hotwax.poorti.FulfillmentServices.retryShippingLabel.In":{"type":"object","properties":{"forceRateShop":{"type":"string","default":"N"},"generateLabel":{"type":"string","default":"N"},"shipmentIds":{"type":"array"}}}}},"paths":{"/shipments/retryShippingLabel":{"post":{"tags":["shipments"],"summary":"retry ShippingLabel","description":"Retry Shipping Label, this would handle do rate shopping and accept shipment accordingly","responses":{"401":{"description":"Authentication required"},"403":{"description":"Access Forbidden (no authz)"},"429":{"description":"Too Many Requests (tarpit)"},"500":{"description":"General Error"}},"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/co.hotwax.poorti.FulfillmentServices.retryShippingLabel.In"}},"multipart/form-data":{"schema":{"$ref":"#/components/schemas/co.hotwax.poorti.FulfillmentServices.retryShippingLabel.In"}}},"required":true}}}}}
```


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.hotwax.co/documents/integrate-with-hotwax/components/fulfillment/shipments.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
